<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id'])) {
    $errors[] = "ID vacíox";
} else if (
    !empty($_POST['mod_id'])
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $nombre    = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nombre"], ENT_QUOTES)));
    $nit    = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_nit"], ENT_QUOTES)));
    $tel  = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_telefono"], ENT_QUOTES)));
    $dir = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_direccion"], ENT_QUOTES)));
    $estado    = intval($_POST['mod_estado']);
    $sucursal    = intval($_POST['mod_sucursal']);
    $comision    = intval($_POST['mod_comision']);
    $id_mecanico = intval($_POST['mod_id']);
    $cod = mysqli_real_escape_string($conexion, (strip_tags($_POST["mod_cod"], ENT_QUOTES)));
    $sql        = "UPDATE empleados SET nom_empleado='" . $nombre . "',
                                        dui_empleado='" . $nit . "',
                                        dir_empleado='" . $dir . "',
                                        tel_empleado='" . $tel . "',
                                        estado_empleado='" . $estado . "',
                                        sucursal_id='" . $sucursal . "',
                                        com_empleado='" . $comision . "',
                                        cod_empleado='" . $cod . "'
                                        WHERE id_empleado='" . $id_mecanico . "'";
    $query_update = mysqli_query($conexion, $sql);
    if ($query_update) {
        $messages[] = "Empleado ha sido actualizado con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>